<template>
	<section class="py-10 flex flex-wrap lg-mid:flex-col" :class="addClass">
		<Lokets :loketList="lokets" addClass="sect-1" />
		<section class="mx-auto flex flex-col sect-2 items-center lg-mid:mt-14">
			<img
				class="h-80 lg-mid:h-full w-full max-w-full mb-12 border-8 border-calcite-transparent rounded-sm"
				src="../../../assets/tvone.jpg"
				alt=""
			/>
			<QueuesComplete
				title="Antrian Selesai Proses"
				:numbers="complete"
			/>
		</section>
	</section>
	<Speech :counter="lokets[0].title" :queueNumber="lokets[0].queueNumber" />
</template>

<script>
import Lokets from "./Lokets.vue";
import QueuesComplete from "./QueuesComplete.vue";
import Speech from "./Speech.vue";

export default {
	name: "SectionQueue",
	components: {
		Lokets,
		QueuesComplete,
		Speech
	},
	props: {
		addClass: String,
	},
	data() {
		return {
			lokets: [
				{
					id: 1,
					title: "loket 1",
					person: "Trashae Hubbard",
					queueNumber: "14",
				},
				{
					id: 2,
					title: "loket 2",
					person: "Shirline Dungey",
					queueNumber: "19",
				},
				{
					id: 3,
					title: "loket 3",
					person: "Zeng Wen",
					queueNumber: "17",
				},
				{
					id: 4,
					title: "loket 4",
					person: "Ezequiel Dengra",
					queueNumber: "15",
				},
				{
					id: 5,
					title: "loket 5",
					person: "Jason Bailey",
					queueNumber: "16",
				},
				{
					id: 6,
					title: "loket 6",
					person: "Juan Esteban Sarmiento",
					queueNumber: "18",
				},
			],
			complete: [
				"13",
				"12",
				"10",
				"09",
				"08",
				"07",
				"06",
				"05",
				"04",
				"03",
			],
		};
	},
};
</script>

<style>
.sect-1 {
	flex: 3;
}
.sect-2 {
	flex: 1;
}
</style>